Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-28197

Jenkins requires Java5 or later, but you are running 1.5.0_07-b03

    XMLWordPrintable

Details

    • Bug
    • Status: Resolved (View Workflow)
    • Trivial
    • Resolution: Duplicate
    • core
    • Jenkins ver. 1.610
      Windows XP SP3

    Description

      I think the summary is pretty much self explaining: I always expected Java 1.5 to be Java5. Am I wrong?

      Message should be a little more precise ...

      Jenkins requires Java5 or later, but you are running 1.5.0_07-b03 from C:\Progra
      mme\Java\jre1.5.0_07
      java.lang.UnsupportedClassVersionError: Bad version number in .class file
      at java.lang.ClassLoader.defineClass1(Native Method)
      at java.lang.ClassLoader.defineClass(Unknown Source)
      at java.security.SecureClassLoader.defineClass(Unknown Source)
      at java.net.URLClassLoader.defineClass(Unknown Source)
      at java.net.URLClassLoader.access$100(Unknown Source)
      at java.net.URLClassLoader$1.run(Unknown Source)
      at java.security.AccessController.doPrivileged(Native Method)
      at java.net.URLClassLoader.findClass(Unknown Source)
      at java.lang.ClassLoader.loadClass(Unknown Source)
      at java.lang.ClassLoader.loadClass(Unknown Source)
      at java.lang.ClassLoader.loadClassInternal(Unknown Source)
      at java.lang.Class.getDeclaredMethods0(Native Method)
      at java.lang.Class.privateGetDeclaredMethods(Unknown Source)
      at java.lang.Class.getMethod0(Unknown Source)
      at java.lang.Class.getMethod(Unknown Source)
      at Main._main(Main.java:202)
      at Main.main(Main.java:98)

      Thanks,

      Flo

      Attachments

        Issue Links

          Activity

            People

              danielbeck Daniel Beck
              flominator Flominator
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: